.block-custom-login-block{
    background-color: rgba(238, 238, 238, 0.9);
    box-shadow: var(--box-shadow);
    padding: 1.5rem;
    border-radius: var(--border-radius);
    max-width: 100%;
}
@media(width > 48rem){
    .block-custom-login-block{
        background-color: rgba(255, 255, 255, 0.9);
        max-width: 21rem;
    }
}

.block-custom-login-block.login-box > h2{
    font-weight: 700;
    font-size: 1.1rem;
}

.block-custom-login-block.login-box .login-form .form-item label{
    font-size: 0.875rem;
    color: var(--color-gray);
}

.block-custom-login-block.login-box .login-form .form-item input{
    width: 100%;
    font-size: 0.75rem;
    padding: 0.5rem;
    border-radius: 5px;
    background-color: white;
    border: 1px solid var(--color-gray);
}

.block-custom-login-block.login-box .login-form .description{
    font-size: 0.75rem;
    margin-top: 0.35rem;
}

.block-custom-login-block.login-box .login-form .form-actions {
    text-align: center;
}

.block-custom-login-block.login-box .login-form .form-actions > input.form-submit{
    cursor: pointer;
    border: 1px solid var(--color-primary);
    border-radius: var(--border-radius);
    padding: 0.75rem 1.125rem;
    background-color: var(--color-primary);
    color: white;
    font-size: 0.9375rem;
    font-weight: 700;
    width: fit-content;
}

.block-custom-login-block.login-box .login-form .form-actions > input.form-submit:hover{
    opacity: 0.8;
}

.block-custom-login-block.login-box .login-form .form-actions > input.form-submit.disabled{
    color: var(--color-gray);
    background-color: var(--color-gray-200);
    border-color: var(--color-gray-200);
    pointer-events: none;
    cursor: default;
}

.block-custom-login-block.login-box > div:last-child{
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
    font-size: 0.875rem;
    text-align: center;
}

.block-custom-login-block.login-box > div:last-child > div:last-child{
    padding: 0.65rem 0.75rem;
    border: 1px solid var(--color-primary);
    background-color: white;
    width: 100%;
}

.block-custom-login-block.login-box > div:last-child a{
    transition: all 0s;
}

.block-custom-login-block.login-box > div:last-child a:hover{
    color: var(--color-gray);
    text-decoration: underline;
}
